/* 
	Brinza Cristina- Ioana, 333CC
	Proiectarea cu Microprocesoare, 2014
	
	Dancing Cube
	
	Headere
*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
#include <string.h>
#include <stdio.h>

#define F_CPU 16000000
#include <stdlib.h>

#include "songs.h"

//pentru cub
#define FULL_LAYER_A 0xff
#define FULL_LAYER_C 0b11111110
#define EMPTY_LAYER_A 0x00
#define EMPTY_LAYER_C 0b00000001
#define LAYER1 PD0
#define LAYER2 PD1
#define LAYER3 PD4
#define LAYER4 PD7

#define TRUE 1
#define FALSE 0

//* pentru muzica */
#define STARWARS 0
#define MAINTHEME 1
#define UNDERWORLD 2

/* functii pentru animatii */
void fill_cube(void);
void clear_cube(void);

void layer_on(int);
void layer_off(int);

void vertical_on(int);
void vertical_off(int);

void rain(int);
void moving_planes(int);

void play_corner(void);
void clear_corner(void);

void inner_cube(void);
void clear_inner_cube(void);

void outer_cube(void);
void clear_outer_cube(void);

void model(int);
void clear_model(int);