/* 
	Brinza Cristina- Ioana, 333CC
	Proiectarea cu Microprocesoare, 2014
	
	Dancing Cube
	
	Definitia melodiilor
*/


#include "pitches.h"


/* Definitii note (in herzi) */
#define c 261
#define d 294
#define e 329
#define f 349
#define g 391
#define gS 415
#define a 440
#define aS 455
#define b 466
#define cH 523
#define cSH 554
#define dH 587
#define dSH 622
#define eH 659
#define fH 698
#define fSH 740
#define gH 784
#define gSH 830
#define aH 880


//Star Wars
int starwars[] = {  a, a, a, f, cH, a, f, cH, a, eH, eH, eH, fH, cH, gS, 
	f, cH, a, aH, a, a, aH, gSH, gH, fSH, fH, fSH, aS, dSH, dH, cSH, cH, b,
 cH, f, gS, f, a, cH, a,  cH, eH, aH, a, a, aH, gSH, gH, fSH, fH, fSH, aS, 
 dSH, dH, cSH, cH, b, cH, f, gS, f, cH, a, f, cH, a};

int starwars_duration[] = {  500, 500, 500, 350, 150  , 500, 350, 150, 650, 500, 500, 500,
350, 150, 500, 350, 150, 650, 500, 300, 150, 400, 200, 200 , 125, 125    , 250,      250 , 
400 , 200  , 200  , 125  , 125  , 250  , 125  , 500  , 375  , 125, 500, 375  , 125, 650, 500, 
300, 150, 400, 200, 200, 125, 125    , 250,       250  , 400  , 200  , 200  , 125  , 125  , 250,
250  , 500  , 375  , 125, 500   , 375   , 125 , 650 };

//Mario main theme
int maintheme[] = {
  NOTE_E7, NOTE_E7, 0, NOTE_E7,
  0, NOTE_C7, NOTE_E7, 0,
  NOTE_G7, 0, 0,  0,
  NOTE_G6, 0, 0, 0,

  NOTE_C7, 0, 0, NOTE_G6,
  0, 0, NOTE_E6, 0,
  0, NOTE_A6, 0, NOTE_B6,
  0, NOTE_AS6, NOTE_A6, 0,

  NOTE_G6, NOTE_E7, NOTE_G7,
  NOTE_A7, 0, NOTE_F7, NOTE_G7,
  0, NOTE_E7, 0,NOTE_C7,
  NOTE_D7, NOTE_B6, 0, 0,

  NOTE_C7, 0, 0, NOTE_G6,
  0, 0, NOTE_E6, 0,
  0, NOTE_A6, 0, NOTE_B6,
  0, NOTE_AS6, NOTE_A6, 0,

  NOTE_G6, NOTE_E7, NOTE_G7,
  NOTE_A7, 0, NOTE_F7, NOTE_G7,
  0, NOTE_E7, 0,NOTE_C7,
  NOTE_D7, NOTE_B6, 0, 0
};

int maintheme_duration[] = {83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 111,
 111, 111, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 111, 111, 111, 83, 83, 83, 83, 83, 83, 
 83, 83, 83, 83, 83, 83};

//Underworld
int underworld[] = {
  NOTE_C4, NOTE_C5, NOTE_A3, NOTE_A4,
  NOTE_AS3, NOTE_AS4, 0,
  0,
  NOTE_C4, NOTE_C5, NOTE_A3, NOTE_A4,
  NOTE_AS3, NOTE_AS4, 0,
  0,
  NOTE_F3, NOTE_F4, NOTE_D3, NOTE_D4,
  NOTE_DS3, NOTE_DS4, 0,
  0,
  NOTE_F3, NOTE_F4, NOTE_D3, NOTE_D4,
  NOTE_DS3, NOTE_DS4, 0,
  0, NOTE_DS4, NOTE_CS4, NOTE_D4,
  NOTE_CS4, NOTE_DS4,
  NOTE_DS4, NOTE_GS3,
  NOTE_G3, NOTE_CS4,
  NOTE_C4, NOTE_FS4,NOTE_F4, NOTE_E3, NOTE_AS4, NOTE_A4,
  NOTE_GS4, NOTE_DS4, NOTE_B3,
  NOTE_AS3, NOTE_A3, NOTE_GS3,
  0, 0, 0
};

int underworld_duration[] = {83, 83, 83, 83, 83, 83, 166, 333, 83, 83, 83, 83, 83, 
83, 166, 333, 83, 83, 83, 83, 83, 83, 166, 333, 83, 83, 83, 83, 83, 83, 166,
166, 55, 55, 55, 166, 166, 166, 166, 166, 166, 55, 55, 55, 55, 55, 55, 100, 100,
 100, 100, 100, 100, 333, 333, 333};

